rave-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Franklin <m.ben.frank...@gmail.com>
Subject Re: Angular dependencies error
Date Thu, 03 Jul 2014 16:45:53 GMT
Took longer than expected, but I have it merged.  There are test errors
when running some of the javascript tests, so those will still need to be
resolved. You can build with mvn -DskipTests=true
-DskipIntegrationTests=true clean install to finish testing your patch.  We
need to create new issues to resolve the tests.


On Wed, Jul 2, 2014 at 1:18 PM, Matt Franklin <m.ben.franklin@gmail.com>
wrote:

> On Wed, Jul 2, 2014 at 11:02 AM, Jmeas Apache <jmeas.apache@gmail.com>
> wrote:
>
>> Matt, I appreciate the quick response!
>>
>> I took a look at rebasing and it seems like there are quite a large number
>> of merge conflicts. I began the process of resolving them but quickly
>> realized my inexperience was leading me to do little more than guessing at
>> resolutions. I think someone with more experience on the project could be
>> a
>> big help here.
>>
>
> I can try to update that branch later today.
>
>
>>
>> Would you, or anyone else, have time this afternoon to spend an hour or
>> two
>> working with Carl and I to rebase the project? It would be immensely
>> useful
>> for us to get started on work if we could get together – maybe over Google
>> hangouts?
>>
>>
>> On Wed, Jul 2, 2014 at 10:28 AM, Matt Franklin <m.ben.franklin@gmail.com>
>> wrote:
>>
>> > Master has not been merged into that branch in a very long time.  Did
>> you
>> > try that first?
>> >
>> >
>> > On Wed, Jul 2, 2014 at 10:17 AM, Jmeas Apache <jmeas.apache@gmail.com>
>> > wrote:
>> >
>> > > I'm attempting to set up the Angular branch of the application on a
>> > Vagrant
>> > > box (branch available here <https://github.com/apache/rave/pull/2>).
>> > >
>> > > The non-Angular branch works just fine with the box: all of the
>> > > dependencies resolve and I can get the app up and running. But I keep
>> > > running into the following error when mvn installing on the Angular
>> > branch:
>> > >
>> > > Downloading:
>> > >
>> > >
>> >
>> http://repository.apache.org/snapshots/org/apache/rave/rave-shindig/0.23-ANGULAR-SNAPSHOT/rave-shindig-0.23-ANGULAR-SNAPSHOT.war
>> > >
>> > > [INFO]
>> > >
>> ------------------------------------------------------------------------
>> > >
>> > > [INFO] BUILD FAILURE
>> > >
>> > > [INFO]
>> > >
>> ------------------------------------------------------------------------
>> > >
>> > > [INFO] Total time: 16.525s
>> > >
>> > > [INFO] Finished at: Wed Jul 02 14:08:35 UTC 2014
>> > >
>> > > [INFO] Final Memory: 10M/247M
>> > >
>> > > [INFO]
>> > >
>> ------------------------------------------------------------------------
>> > >
>> > > [ERROR] Failed to execute goal on project rave-portal: Could not
>> resolve
>> > > dependencies for project
>> > > org.apache.rave:rave-portal:war:0.23-ANGULAR-SNAPSHOT: The following
>> > > artifacts could not be resolved:
>> > > org.apache.rave:rave-portal-dependencies:pom:0.23-ANGULAR-SNAPSHOT,
>> > > org.apache.rave:rave-portal-resources:war:0.23-ANGULAR-SNAPSHOT,
>> > > org.apache.rave:rave-shindig:war:0.23-ANGULAR-SNAPSHOT,
>> > > org.apache.rave:rave-demo-gadgets:war:0.23-ANGULAR-SNAPSHOT: Failure
>> to
>> > > find
>> org.apache.rave:rave-portal-dependencies:pom:0.23-ANGULAR-SNAPSHOT
>> > in
>> > > http://repository.apache.org/snapshots was cached in the local
>> > repository,
>> > > resolution will not be reattempted until the update interval of
>> > > apache.snapshots has elapsed or updates are forced -> [Help 1]
>> > >
>> > >
>> > > It seems to be caused by the fact that this file doesn't exist.
>> > > <
>> > >
>> >
>> http://repository.apache.org/snapshots/org/apache/rave/rave-demo-gadgets/0.23-ANGULAR-SNAPSHOT/rave-demo-gadgets-0.23-ANGULAR-SNAPSHOT.war
>> > > >
>> > >
>> > > Are there any thoughts on how I should proceed? This is unfortunately
>> > > blocking, and I believe Carl is experiencing the same issue.
>> > >
>> > >
>> > > Some machine details:
>> > >
>> > > 64-bit Ubuntu 12.04 (hashicorp/precise64)
>> > >
>> > > Maven 3.1.1
>> > >
>> > > Java 1.7.0_60
>> > >
>> >
>>
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message